﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.ServiceModel.Web;
using System.Text;

[ServiceContract]
[AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Required)]
public class SampleService
{
    // To use HTTP GET, add [WebGet] attribute. (Default ResponseFormat is WebMessageFormat.Json)
    // To create an operation that returns XML,
    //     add [WebGet(ResponseFormat=WebMessageFormat.Xml)],
    //     and include the following line in the operation body:
    //         WebOperationContext.Current.OutgoingResponse.ContentType = "text/xml";
    [OperationContract]
    [WebGet]
    public void DoWork()
    {
        // Add your operation implementation here
        return;
    }

    // Add more operations here and mark them with [OperationContract]
    [OperationContract]
    [WebGet]
    public SampleResult GetData(string node)
    {
        SampleResult result = new SampleResult();
        List<SampleItem> items = new List<SampleItem>();
         
        if (node != null)
        {
            for (int i = 0; i < 100; i++)
            {

                items.Add(new SampleItem()
                {
                    ID = i,
                    Name = "Name " + i.ToString(),
                    Description = "Description " + node.ToString(),
                    RegistrationDate = DateTime.Now.AddDays(i)
                });
            }
        }

        result.Data = items;
        result.Count = items.Count;

        return result;

    }
}

[DataContract]
public class SampleItem
{
    [DataMember]
    public int ID { get; set; }
    [DataMember]
    public string Name { get; set; }
    [DataMember]
    public string Description { get; set; }
    [DataMember]
    public DateTime RegistrationDate { get; set; }

}

public class SampleResult
{
    public List<SampleItem> Data { get; set; }
    public int Count { get; set; }
}