﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridClientBinding.aspx.cs" Inherits="RadGridClientBinding" Culture="en-US" UICulture="en-US" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadCodeBlock runat="server" ID="RadCodeBlock1">
        <script type="text/javascript">

            function Parse(sender, args) {
                var response = args.get_response().d;
                if (response) {
                    args.set_parsedData(response.Data);
                }
            }

            function customParameter(sender, args) {
                //debugger;
                var treeView = $find("<%= RadTreeView1.ClientID %>");
                var selectedNode = treeView.get_selectedNode();

                var selectedValue;
                var selectedNodeJSON;

                if (selectedNode) {
                    selectedValue = selectedNode.get_value();
                    selectedNodeJSON = { "node": selectedValue };

                    args.set_parameterFormat(selectedNodeJSON);
                }
            }

            function nodeClicked(sender, args) {
                $find("<%= RadGrid1.ClientID %>").get_masterTableView().rebind();
            }
        </script>
        <style type="text/css">
        </style>
    </telerik:RadCodeBlock>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager runat="server" ID="RadScriptManager1">
        </telerik:RadScriptManager>

        <telerik:RadTreeView runat="server" ID="RadTreeView1" OnClientNodeClicked="nodeClicked">
            <Nodes>
                <telerik:RadTreeNode Text="Node1" Value="1" Selected="true"></telerik:RadTreeNode>
                <telerik:RadTreeNode Text="Node2" Value="2"></telerik:RadTreeNode>
                <telerik:RadTreeNode Text="Node3" Value="3"></telerik:RadTreeNode>
            </Nodes>
        </telerik:RadTreeView>

        <telerik:RadGrid ID="RadGrid1" runat="server" ClientDataSourceID="RadClientDataSource1"
            AllowPaging="true" PageSize="10"
            AllowFilteringByColumn="true"
            AllowSorting="true"
            ClientSettings-Selecting-AllowRowSelect="true"
            AllowMultiRowSelection="true" Skin="Silk">

            <MasterTableView ClientDataKeyNames="ID" EditMode="Batch" CommandItemDisplay="Top" PagerStyle-Mode="Slider">

                <Columns>
                    <telerik:GridBoundColumn DataField="ID" HeaderText="ID" ReadOnly="true">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Name" HeaderText="Name">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Description" HeaderText="Description">
                    </telerik:GridBoundColumn>
                    <telerik:GridDateTimeColumn DataField="RegistrationDate" HeaderText="Registration Date" EnableTimeIndependentFiltering="true"
                        UniqueName="RegistrationDate" DataType="System.DateTime">
                    </telerik:GridDateTimeColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>

        <telerik:RadClientDataSource ID="RadClientDataSource1" runat="server" AllowBatchOperations="true">
            <ClientEvents OnDataParse="Parse" OnCustomParameter="customParameter" />
            <DataSource>
                <WebServiceDataSourceSettings BaseUrl="SampleService.svc/">
                    <Select Url="GetData" DataType="JSON" />
                </WebServiceDataSourceSettings>
            </DataSource>

        </telerik:RadClientDataSource>

    </form>
</body>
</html>
